<?php
class actionTurboampDelete extends cmsAction {

    public function run($id = false){

		if (!$id){ cmsCore::error404(); }

		$item = $this->model->getItemById('turbo_pages', $id);
		
		if ($item){
			$result = $this->model->delete('turbo_pages', $id);
			if ($result){
				$files = cmsCore::getFilesList('/upload/turbopages/', 'sitemap_' . $item['ctype_name'] . '*.xml');
				if ($files){
					foreach($files as $key => $file){
						@unlink($this->cms_config->upload_path . 'turbopages/' . $file);
					}
				}
				cmsUser::addSessionMessage('Данные успешно удалены', 'success');
			}
		}

		$this->redirectBack();

	}

}