<?php 
class turboamp extends cmsFrontend {
	
	public $useOptions = true;

	public function actionFields(){

		if (!$this->request->isAjax()){ cmsCore::error404(); }
		if (!cmsUser::isAdmin()) { cmsCore::error404(); }

		$ctype_name = $this->request->get('value', '');
		if (!$ctype_name) { cmsCore::error404(); }

		$ctype = $this->model->getItemByField('content_types', 'name', $ctype_name);

		if (!$ctype) { cmsCore::error404(); }

		$fields = $this->model->useCache('content.fields.' . $ctype['name'])->get('con_' . $ctype['name'] . '_fields');

        $fields = cmsEventsManager::hook('ctype_content_fields', $fields);

		$list = array();

		if ($fields){
			$list = array(''=>'') + array_collection_to_list($fields, 'name', 'title');
		}

		return $this->cms_template->renderJSON($list);

    }
    
}