<?php

class onTurboampContentBeforeItem extends cmsAction {

    public function run($data){
			
		list($ctype, $item, $fields) = $data;

		if (!empty($this->options['types']) && in_array($ctype['name'], $this->options['types'])){

			$url = href_to_abs($ctype['name'], $item['slug'] . '.html?amp=1');
			$this->cms_template->addHead('<link href="' . $url . '" rel="amphtml" />');
			
			if ( isset($_GET['amp']) && $_GET['amp'] ) {
				$this->cms_template->setLayout('amp');
				$this->cms_template->ampItem = $item;
				$this->cms_template->ampFields = $fields;
				$this->cms_template->ampCtype = $ctype;
			}

		}

		return array($ctype, $item, $fields);

    }

}
