<?php

class actionTurboampTurboAjax extends cmsAction {

    public function run() {

        if(!$this->request->isAjax()) {cmsCore::error404();}

        $grid = $this->loadDataGrid('turbo');
        $items = $this->model->select('c.title')->joinLeft('content_types', 'c', 'i.ctype_name = c.name')->get('turbo_pages');

		if ($items){
			foreach($items as $id => $item){
				if (is_writable($this->cms_config->root_path . 'upload/turbopages/sitemap_' . $item['ctype_name'] . '.xml')){
					$files = cmsCore::getFilesList('/upload/turbopages/', 'sitemap_' . $item['ctype_name'] . '*.xml');
					if (count($files) > 1){
						$items[$id]['file'] = '';
						foreach ($files as $key => $file){
							$items[$id]['file'] .= $this->cms_config->host . '/upload/turbopages/' . $file . "\n";
						}
					} else {
						$items[$id]['file'] = $this->cms_config->host . '/upload/turbopages/sitemap_' . $item['ctype_name'] . '.xml';
					}
				} else {
					$items[$id]['file'] = 'Для генерации запустите задачу в Планировщике'; 
				}
			}
		}
		
        $this->cms_template->renderGridRowsJSON($grid, $items);
        $this->halt();

    }

}